Converter
Date: 2016-12-04

com.fasterxml.jackson.databind.util

## Interface Converter<IN,OUT>

- Type Parameters:
    `IN` - Type of values converter takes
    `OUT` - Result type from conversion
  All Known Implementing Classes:
    Converter.None, StdConverter

      public interface Converter<IN,OUT>

  Helper interface for things that convert Objects of one type to another.

  NOTE: implementors are strongly encouraged to extend `StdConverter` instead of directly implementing `Converter`, since that can help with default implementation of typically boiler-plate code.

  Since:
    2.1
  See Also:
    `StdDelegatingSerializer`, `StdDelegatingDeserializer`

- - ### Nested Class Summary

    Nested Classes
    Modifier and Type | Interface and Description
    --- | ---
    `static class` | `Converter.None` This marker class is only to be used with annotations, to indicate that no converter is to be used.

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `OUT` | `convert(IN value)` Main conversion method.
    `JavaType` | `getInputType(TypeFactory typeFactory)` Method that can be used to find out actual input (source) type; this usually can be determined from type parameters, but may need to be implemented differently from programmatically defined converters (which can not change static type parameter bindings).
    `JavaType` | `getOutputType(TypeFactory typeFactory)` Method that can be used to find out actual output (target) type; this usually can be determined from type parameters, but may need to be implemented differently from programmatically defined converters (which can not change static type parameter bindings).

- - ### Method Detail

    - #### convert

          OUT convert(IN value)

      Main conversion method.

    - #### getInputType

          JavaType getInputType(TypeFactory typeFactory)

      Method that can be used to find out actual input (source) type; this usually can be determined from type parameters, but may need to be implemented differently from programmatically defined converters (which can not change static type parameter bindings).
      Since:
        2.2

    - #### getOutputType

          JavaType getOutputType(TypeFactory typeFactory)

      Method that can be used to find out actual output (target) type; this usually can be determined from type parameters, but may need to be implemented differently from programmatically defined converters (which can not change static type parameter bindings).
      Since:
        2.2